diff -urN linux-2.6.0-test1/arch/mips/pci/pci-ip32.c linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-ip32.c
--- linux-2.6.0-test1/arch/mips/pci/pci-ip32.c	2003-07-13 23:37:25.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-ip32.c	2003-07-16 16:21:12.000000000 -0400
@@ -128,7 +128,7 @@
 	u32 rev = mace_read_32(MACEPCI_REV);
 	int i;
 
-	printk("MACE: PCI rev %d detected at %016lx\n", rev,
+	printk(KERN_INFO "MACE: PCI rev %d detected at %016lx\n", rev,
 	       (u64) MACE_BASE + MACE_PCI);
 
 	/* These are *bus* addresses */
@@ -153,13 +153,13 @@
 
 #ifdef DEBUG_MACE_PCI
 	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
-		printk("Device: %d/%d/%d ARCS-assigned bus resource map\n",
+		printk(KERN_DEBUG "Device: %d/%d/%d ARCS-assigned bus resource map\n",
 		       dev->bus->number, PCI_SLOT(dev->devfn),
 		       PCI_FUNC(dev->devfn));
 		for (i = 0; i < DEVICE_COUNT_RESOURCE; i++) {
 			if (dev->resource[i].start == 0)
 				continue;
-			printk("%d: %016lx - %016lx (flags %04lx)\n",
+			printk(KERN_DEBUG "%d: %016lx - %016lx (flags %04lx)\n",
 			       i, dev->resource[i].start,
 			       dev->resource[i].end,
 			       dev->resource[i].flags);
@@ -248,18 +248,18 @@
         }
  */
 #ifdef DEBUG_MACE_PCI
-	printk("Triggering PCI bridge interrupt...\n");
+	printk(KERN_DEBUG "Triggering PCI bridge interrupt...\n");
 	mace_write_32(MACEPCI_ERROR_FLAGS, MACEPCI_ERROR_INTERRUPT_TEST);
 
 	dev = NULL;
 	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
-		printk("Device: %d/%d/%d final bus resource map\n",
+		printk(KERN_DEBUG "Device: %d/%d/%d final bus resource map\n",
 		       dev->bus->number, PCI_SLOT(dev->devfn),
 		       PCI_FUNC(dev->devfn));
 		for (i = 0; i < DEVICE_COUNT_RESOURCE; i++) {
 			if (dev->resource[i].start == 0)
 				continue;
-			printk("%d: %016lx - %016lx (flags %04lx)\n",
+			printk(KERN_DEBUG "%d: %016lx - %016lx (flags %04lx)\n",
 			       i, dev->resource[i].start,
 			       dev->resource[i].end,
 			       dev->resource[i].flags);
@@ -392,60 +392,60 @@
 		space = 'X';
 
 	if (flags & MACEPCI_ERROR_MASTER_ABORT) {
-		printk("MACEPCI: Master abort at 0x%08x (%c)\n",
+		printk(KERN_ERR "MACEPCI: Master abort at 0x%08x (%c)\n",
 		       error_addr, space);
 		mace_write_32(MACEPCI_ERROR_FLAGS,
 			      flags & ~MACEPCI_ERROR_MASTER_ABORT);
 	}
 	if (flags & MACEPCI_ERROR_TARGET_ABORT) {
-		printk("MACEPCI: Target abort at 0x%08x (%c)\n",
+		printk(KERN_ERR "MACEPCI: Target abort at 0x%08x (%c)\n",
 		       error_addr, space);
 		mace_write_32(MACEPCI_ERROR_FLAGS,
 			      flags & ~MACEPCI_ERROR_TARGET_ABORT);
 	}
 	if (flags & MACEPCI_ERROR_DATA_PARITY_ERR) {
-		printk("MACEPCI: Data parity error at 0x%08x (%c)\n",
+		printk(KERN_ERR "MACEPCI: Data parity error at 0x%08x (%c)\n",
 		       error_addr, space);
 		mace_write_32(MACEPCI_ERROR_FLAGS, flags
 			      & ~MACEPCI_ERROR_DATA_PARITY_ERR);
 	}
 	if (flags & MACEPCI_ERROR_RETRY_ERR) {
-		printk("MACEPCI: Retry error at 0x%08x (%c)\n", error_addr,
+		printk(KERN_ERR "MACEPCI: Retry error at 0x%08x (%c)\n", error_addr,
 		       space);
 		mace_write_32(MACEPCI_ERROR_FLAGS, flags
 			      & ~MACEPCI_ERROR_RETRY_ERR);
 	}
 	if (flags & MACEPCI_ERROR_ILLEGAL_CMD) {
-		printk("MACEPCI: Illegal command at 0x%08x (%c)\n",
+		printk(KERN_ERR "MACEPCI: Illegal command at 0x%08x (%c)\n",
 		       error_addr, space);
 		mace_write_32(MACEPCI_ERROR_FLAGS,
 			      flags & ~MACEPCI_ERROR_ILLEGAL_CMD);
 	}
 	if (flags & MACEPCI_ERROR_SYSTEM_ERR) {
-		printk("MACEPCI: System error at 0x%08x (%c)\n",
+		printk(KERN_ERR "MACEPCI: System error at 0x%08x (%c)\n",
 		       error_addr, space);
 		mace_write_32(MACEPCI_ERROR_FLAGS, flags
 			      & ~MACEPCI_ERROR_SYSTEM_ERR);
 	}
 	if (flags & MACEPCI_ERROR_PARITY_ERR) {
-		printk("MACEPCI: Parity error at 0x%08x (%c)\n",
+		printk(KERN_ERR "MACEPCI: Parity error at 0x%08x (%c)\n",
 		       error_addr, space);
 		mace_write_32(MACEPCI_ERROR_FLAGS,
 			      flags & ~MACEPCI_ERROR_PARITY_ERR);
 	}
 	if (flags & MACEPCI_ERROR_OVERRUN) {
-		printk("MACEPCI: Overrun error at 0x%08x (%c)\n",
+		printk(KERN_ERR "MACEPCI: Overrun error at 0x%08x (%c)\n",
 		       error_addr, space);
 		mace_write_32(MACEPCI_ERROR_FLAGS, flags
 			      & ~MACEPCI_ERROR_OVERRUN);
 	}
 	if (flags & MACEPCI_ERROR_SIG_TABORT) {
-		printk("MACEPCI: Signaled target abort (clearing)\n");
+		printk(KERN_ERR "MACEPCI: Signaled target abort (clearing)\n");
 		mace_write_32(MACEPCI_ERROR_FLAGS, flags
 			      & ~MACEPCI_ERROR_SIG_TABORT);
 	}
 	if (flags & MACEPCI_ERROR_INTERRUPT_TEST) {
-		printk("MACEPCI: Interrupt test triggered (clearing)\n");
+		printk(KERN_ERR "MACEPCI: Interrupt test triggered (clearing)\n");
 		mace_write_32(MACEPCI_ERROR_FLAGS, flags
 			      & ~MACEPCI_ERROR_INTERRUPT_TEST);
 	}
diff -urN linux-2.6.0-test1/arch/mips/pci/pci-lasat.c linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-lasat.c
--- linux-2.6.0-test1/arch/mips/pci/pci-lasat.c	2003-07-13 23:36:38.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-lasat.c	2003-07-16 16:18:39.000000000 -0400
@@ -128,7 +128,7 @@
 		    | (where & ~3);
 
 #ifdef DEBUG_PCI
-	printk("PCI config %s: adr %x",
+	printk(KERN_DEBUG "PCI config %s: adr %x",
 	       access_type == PCI_ACCESS_WRITE ? "write" : "read", adr);
 #endif
 
@@ -139,7 +139,7 @@
 	}
 
 #ifdef DEBUG_PCI
-	printk(" value = %x\n", *val);
+	printk(KERN_DEBUG " value = %x\n", *val);
 #endif
 
 	/* Check for master or target abort */
@@ -151,7 +151,7 @@
 	if (err) {
 		/* Error occured */
 #ifdef DEBUG_PCI
-		printk("\terror %x at adr %x\n", err,
+		printk(KERN_DEBUG "\terror %x at adr %x\n", err,
 		       vrc_pciregs[LO(NILE4_PCIERR)]);
 #endif
 		return -1;
diff -urN linux-2.6.0-test1/arch/mips/pci/pci-mips.c linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-mips.c
--- linux-2.6.0-test1/arch/mips/pci/pci-mips.c	2003-07-13 23:29:27.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-mips.c	2003-07-16 16:09:00.000000000 -0400
@@ -245,7 +245,7 @@
 		break;
 	default:
 		printk
-		    ("Unknown Core card, don't know the system controller.\n");
+		    (KERN_ERR "Unknown Core card, don't know the system controller.\n");
 		return -1;
 	}
 
@@ -354,7 +354,7 @@
 		break;
 	default:
 		printk
-		    ("Unknown Core card, don't know the system controller.\n");
+		    (KERN_ERR "Unknown Core card, don't know the system controller.\n");
 		return -1;
 	}
 	return irq;
@@ -367,7 +367,7 @@
 	unsigned char reg_val;
 #endif
 
-	printk("PCI: Probing PCI hardware on host bus 0.\n");
+	printk(KERN_INFO "PCI: Probing PCI hardware on host bus 0.\n");
 	pci_scan_bus(0, &mips_pci_ops, NULL);
 
 	switch (mips_revision_corid) {
diff -urN linux-2.6.0-test1/arch/mips/pci/pci-sb1250.c linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-sb1250.c
--- linux-2.6.0-test1/arch/mips/pci/pci-sb1250.c	2003-07-13 23:31:20.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-sb1250.c	2003-07-16 16:13:36.000000000 -0400
@@ -191,7 +191,7 @@
 			       PCI_COMMAND));
 		if (!(cmdreg & PCI_COMMAND_MASTER)) {
 			printk
-			    ("PCI: Skipping PCI probe.  Bus is not initialized.\n");
+			    (KERN_INFO "PCI: Skipping PCI probe.  Bus is not initialized.\n");
 			iounmap(cfg_space);
 			return;
 		}
@@ -236,7 +236,7 @@
 
 	/* Probe for PCI hardware */
 
-	printk("PCI: Probing PCI hardware on host bus 0.\n");
+	printk(KERN_INFO "PCI: Probing PCI hardware on host bus 0.\n");
 	pci_scan_bus(0, &sb1250_pci_ops, NULL);
 
 #ifdef CONFIG_VGA_CONSOLE
diff -urN linux-2.6.0-test1/arch/mips/pci/pci-sni.c linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-sni.c
--- linux-2.6.0-test1/arch/mips/pci/pci-sni.c	2003-07-13 23:29:21.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-sni.c	2003-07-16 16:08:27.000000000 -0400
@@ -54,7 +54,7 @@
 		case 0:
 			break;
 		default:
-			printk("PCI device on bus %d, dev %d, function %d "
+			printk(KERN_ERR "PCI device on bus %d, dev %d, function %d "
 			       "impossible interrupt configured.\n",
 			       dev->bus->number, PCI_SLOT(dev->devfn),
 			       PCI_SLOT(dev->devfn));
diff -urN linux-2.6.0-test1/arch/mips/pci/pci.c linux-2.6.0-test1-printk-mips/arch/mips/pci/pci.c
--- linux-2.6.0-test1/arch/mips/pci/pci.c	2003-07-13 23:35:15.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/pci.c	2003-07-16 16:17:32.000000000 -0400
@@ -95,7 +95,7 @@
 	int pos;
 	int bases;
 
-	printk("adjusting pci device: %s\n", dev->name);
+	printk(KERN_INFO "adjusting pci device: %s\n", dev->name);
 
 	switch (dev->hdr_type) {
 	case PCI_HEADER_TYPE_NORMAL:
@@ -184,7 +184,7 @@
 	}
 	if (io)
 		return IORESOURCE_IO;
-	//printk(KERN_WARNING "PCI: bridge %s does not support I/O forwarding!\n", bridge->name);
+	/* printk(KERN_WARNING "PCI: bridge %s does not support I/O forwarding!\n", bridge->name); */
 	return 0;
 }
 
diff -urN linux-2.6.0-test1/arch/mips/sgi-ip22/ip22-setup.c linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip22/ip22-setup.c
--- linux-2.6.0-test1/arch/mips/sgi-ip22/ip22-setup.c	2003-07-13 23:29:32.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip22/ip22-setup.c	2003-07-17 20:05:05.000000000 -0400
@@ -58,7 +58,7 @@
 	if (!stop_a_enabled)
 		return;
 
-	printk("\n");
+	printk(KERN_NOTICE "\n");
 	ArcEnterInteractiveMode();
 }
 
diff -urN linux-2.6.0-test1/arch/mips/sgi-ip22/ip22-time.c linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip22/ip22-time.c
--- linux-2.6.0-test1/arch/mips/sgi-ip22/ip22-time.c	2003-07-13 23:31:22.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip22/ip22-time.c	2003-07-17 20:07:02.000000000 -0400
@@ -148,20 +148,20 @@
 	} while (!r4k_ticks[1]);
 
 	if (r4k_ticks[0] != r4k_ticks[1]) {
-		printk("warning: timer counts differ, retrying... ");
+		printk(KERN_WARNING "warning: timer counts differ, retrying... ");
 		r4k_ticks[2] = dosample();
 		if (r4k_ticks[2] == r4k_ticks[0]
 		    || r4k_ticks[2] == r4k_ticks[1])
 			r4k_tick = r4k_ticks[2];
 		else {
-			printk("disagreement, using average... ");
+			printk(KERN_WARNING "disagreement, using average... ");
 			r4k_tick = (r4k_ticks[0] + r4k_ticks[1]
 				   + r4k_ticks[2]) / 3;
 		}
 	} else
 		r4k_tick = r4k_ticks[0];
 
-	printk("%d [%d.%02d MHz CPU]\n", (int) r4k_tick,
+	printk(KERN_INFO "%d [%d.%02d MHz CPU]\n", (int) r4k_tick,
 		(int) (r4k_tick / 5000), (int) (r4k_tick % 5000) / 50);
 
 	mips_counter_frequency = r4k_tick * HZ;
diff -urN linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-berr.c linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-berr.c
--- linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-berr.c	2003-07-13 23:32:29.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-berr.c	2003-07-16 20:22:40.000000000 -0400
@@ -33,24 +33,24 @@
 	int wrb = errst1 & PI_ERR_ST1_WRBRRB_MASK;
 
 	if (!(errst0 & PI_ERR_ST0_VALID_MASK)) {
-		printk("Hub does not contain valid error information\n");
+		printk(KERN_ERR "Hub does not contain valid error information\n");
 		return;
 	}
 
 
-	printk("Hub has valid error information:\n");
+	printk(KERN_ERR "Hub has valid error information:\n");
 	if (errst0 & PI_ERR_ST0_OVERRUN_MASK)
-		printk("Overrun is set.  Error stack may contain additional "
+		printk(KERN_ERR "Overrun is set.  Error stack may contain additional "
 		       "information.\n");
-	printk("Hub error address is %08lx\n",
+	printk(KERN_ERR "Hub error address is %08lx\n",
 	       (errst0 & PI_ERR_ST0_ADDR_MASK) >> (PI_ERR_ST0_ADDR_SHFT - 3));
-	printk("Incoming message command 0x%lx\n",
+	printk(KERN_ERR "Incoming message command 0x%lx\n",
 	       (errst0 & PI_ERR_ST0_CMD_MASK) >> PI_ERR_ST0_CMD_SHFT);
-	printk("Supplemental field of incoming message is 0x%lx\n",
+	printk(KERN_ERR "Supplemental field of incoming message is 0x%lx\n",
 	       (errst0 & PI_ERR_ST0_SUPPL_MASK) >> PI_ERR_ST0_SUPPL_SHFT);
-	printk("T5 Rn (for RRB only) is 0x%lx\n",
+	printk(KERN_ERR "T5 Rn (for RRB only) is 0x%lx\n",
 	       (errst0 & PI_ERR_ST0_REQNUM_MASK) >> PI_ERR_ST0_REQNUM_SHFT);
-	printk("Error type is %s\n", err_type[wrb]
+	printk(KERN_ERR "Error type is %s\n", err_type[wrb]
 	       [(errst0 & PI_ERR_ST0_TYPE_MASK) >> PI_ERR_ST0_TYPE_SHFT]
 		? : "invalid");
 }
@@ -64,10 +64,10 @@
 	if (is_fixup)
 		return MIPS_BE_FIXUP;
 
-	printk("Slice %c got %cbe at 0x%lx\n", 'A' + cpu, data ? 'd' : 'i',
+	printk(KERN_NOTICE "Slice %c got %cbe at 0x%lx\n", 'A' + cpu, data ? 'd' : 'i',
 	       regs->cp0_epc);
-	printk("Hub information:\n");
-	printk("ERR_INT_PEND = 0x%06lx\n", LOCAL_HUB_L(PI_ERR_INT_PEND));
+	printk(KERN_NOTICE "Hub information:\n");
+	printk(KERN_NOTICE "ERR_INT_PEND = 0x%06lx\n", LOCAL_HUB_L(PI_ERR_INT_PEND));
 	errst0 = LOCAL_HUB_L(cpu ? PI_ERR_STATUS0_B : PI_ERR_STATUS0_A);
 	errst1 = LOCAL_HUB_L(cpu ? PI_ERR_STATUS1_B : PI_ERR_STATUS1_A);
 	dump_hub_information(errst0, errst1);
diff -urN linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-init.c linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-init.c
--- linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-init.c	2003-07-13 23:38:38.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-init.c	2003-07-17 16:41:35.000000000 -0400
@@ -204,7 +204,7 @@
 	 */
 	CPUMASK_CLRALL(boot_cpumask);
 	maxcpus = cpu_node_probe(&boot_cpumask, &numnodes);
-	printk("Discovered %d cpus on %d nodes\n", maxcpus, numnodes);
+	printk(KERN_INFO "Discovered %d cpus on %d nodes\n", maxcpus, numnodes);
 
 	init_topology_matrix();
 	dump_topology();
@@ -526,7 +526,7 @@
 	for (cnode = 0; cnode < numnodes; cnode++) {
 #if 0
 		if (cnodetocpu(cnode) == -1) {
-			printk("Initializing headless hub,cnode %d", cnode);
+			printk(KERN_INFO "Initializing headless hub,cnode %d", cnode);
 			per_hub_init(cnode);
 		}
 #endif
@@ -630,11 +630,11 @@
 	}
 
 	if (router_a == NULL) {
-		printk("node_distance: router_a NULL\n");
+		printk(KERN_WARNING "node_distance: router_a NULL\n");
 		return -1;
 	}
 	if (router_b == NULL) {
-		printk("node_distance: router_b NULL\n");
+		printk(KERN_WARNING "node_distance: router_b NULL\n");
 		return -1;
 	}
 
@@ -678,17 +678,17 @@
 	klrou_t *router;
 	cnodeid_t row, col;
 
-	printk("************** Topology ********************\n");
+	printk(KERN_NOTICE "************** Topology ********************\n");
 
-	printk("    ");
+	printk(KERN_NOTICE "    ");
 	for (col = 0; col < numnodes; col++)
-		printk("%02d ", col);
-	printk("\n");
+		printk(KERN_NOTICE "%02d ", col);
+	printk(KERN_NOTICE "\n");
 	for (row = 0; row < numnodes; row++) {
-		printk("%02d  ", row);
+		printk(KERN_NOTICE "%02d  ", row);
 		for (col = 0; col < numnodes; col++)
-			printk("%2d ", node_distances[row][col]);
-		printk("\n");
+			printk(KERN_NOTICE "%2d ", node_distances[row][col]);
+		printk(KERN_NOTICE "\n");
 	}
 
 	for (cnode = 0; cnode < numnodes; cnode++) {
@@ -705,7 +705,7 @@
 		do {
 			if (brd->brd_flags & DUPLICATE_BOARD)
 				continue;
-			printk("Router %d:", router_num);
+			printk(KERN_NOTICE "Router %d:", router_num);
 			router_num++;
 
 			router = (klrou_t *)NODE_OFFSET_TO_K0(NASID_GET(brd), brd->brd_compts[0]);
@@ -719,11 +719,11 @@
 					router->rou_port[port].port_offset);
 
 				if (dest_brd->brd_type == KLTYPE_IP27)
-					printk(" %d", dest_brd->brd_nasid);
+					printk(KERN_NOTICE " %d", dest_brd->brd_nasid);
 				if (dest_brd->brd_type == KLTYPE_ROUTER)
-					printk(" r");
+					printk(KERN_NOTICE " r");
 			}
-			printk("\n");
+			printk(KERN_NOTICE "\n");
 
 		} while ( (brd = find_lboard_class(KLCF_NEXT(brd), KLTYPE_ROUTER)) );
 	}
@@ -743,7 +743,7 @@
 
 	gdap = (gda_t *)GDA_ADDR(get_nasid());
 	if (gdap->g_magic != GDA_MAGIC) {
-		printk("dumpklcfg_cmd: Invalid GDA MAGIC\n");
+		printk(KERN_NOTICE "dumpklcfg_cmd: Invalid GDA MAGIC\n");
 		return;
 	}
 
@@ -753,24 +753,24 @@
 		if (nasid == INVALID_NASID)
 			continue;
 
-		printk("\nDumpping klconfig Nasid %d:\n", nasid);
+		printk(KERN_NOTICE "\nDumpping klconfig Nasid %d:\n", nasid);
 
 		lbptr = KL_CONFIG_INFO(nasid);
 
 		while (lbptr) {
-			printk("    %s, Nasid %d, Module %d, widget 0x%x, partition %d, NIC 0x%x lboard 0x%lx",
+			printk(KERN_NOTICE "    %s, Nasid %d, Module %d, widget 0x%x, partition %d, NIC 0x%x lboard 0x%lx",
 				"board name here", /* BOARD_NAME(lbptr->brd_type), */
 				lbptr->brd_nasid, lbptr->brd_module,
 				lbptr->brd_widgetnum,
 				lbptr->brd_partition,
 				(lbptr->brd_nic), lbptr);
 			if (lbptr->brd_flags & DUPLICATE_BOARD)
-				printk(" -D");
-			printk("\n");
+				printk(KERN_NOTICE " -D");
+			printk(KERN_NOTICE "\n");
 			for (i = 0; i < lbptr->brd_numcompts; i++) {
 				klinfo_t *kli;
 				kli = NODE_OFFSET_TO_KLINFO(NASID_GET(lbptr), lbptr->brd_compts[i]);
-				printk("        type %2d, flags 0x%04x, diagval %3d, physid %4d, virtid %2d: %s\n",
+				printk(KERN_NOTICE "        type %2d, flags 0x%04x, diagval %3d, physid %4d, virtid %2d: %s\n",
 					kli->struct_type,
 					kli->flags,
 					kli->diagval,
@@ -782,7 +782,7 @@
 			lbptr = KLCF_NEXT(lbptr);
 		}
 	}
-	printk("\n");
+	printk(KERN_NOTICE "\n");
 
 	/* Useful to print router maps also */
 
@@ -801,19 +801,19 @@
 			if(!lbptr)
 				break;
 			if (!KL_CONFIG_DUPLICATE_BOARD(lbptr)) {
-				printk("%llx -> \n", lbptr->brd_nic);
+				printk(KERN_NOTICE "%llx -> \n", lbptr->brd_nic);
 				kr = (klrou_t *)find_first_component(lbptr,
 					KLSTRUCT_ROU);
 				for (i = 1; i <= MAX_ROUTER_PORTS; i++) {
-					printk("[%d, %llx]; ",
+					printk(KERN_NOTICE "[%d, %llx]; ",
 						kr->rou_port[i].port_nasid,
 						kr->rou_port[i].port_offset);
 				}
-				printk("\n");
+				printk(KERN_NOTICE "\n");
 			}
 			lbptr = KLCF_NEXT(lbptr);
         	}
-        	printk("\n");
+        	printk(KERN_NOTICE "\n");
     	}
 
 	dump_topology();
diff -urN linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-irq.c linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-irq.c
--- linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-irq.c	2003-07-13 23:34:31.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-irq.c	2003-07-17 16:35:17.000000000 -0400
@@ -100,7 +100,7 @@
 			return j;
 		}
 	}
-	printk("Cpu %ld flooded with devices\n", cpunum);
+	printk(KERN_WARNING "Cpu %ld flooded with devices\n", cpunum);
 	while(1);
 	return -1;
 }
@@ -118,7 +118,7 @@
 				return(j);
 			}
 	}
-	printk("Could not identify cpu/level for irq %d\n", irq);
+	printk(KERN_ERR "Could not identify cpu/level for irq %d\n", irq);
 	while(1);
 	return(-1);
 }
@@ -289,10 +289,10 @@
 {
 	bridge_t *bridge = (bridge_t *) 0x9200000008000000;
 
-	printk("bridge->b_int_status = 0x%x\n", bridge->b_int_status);
-	printk("bridge->b_int_enable = 0x%x\n", bridge->b_int_enable);
-	printk("PI_INT_PEND0   = 0x%lx\n", LOCAL_HUB_L(PI_INT_PEND0));
-	printk("PI_INT_MASK0_A = 0x%lx\n", LOCAL_HUB_L(PI_INT_MASK0_A));
+	printk(KERN_DEBUG "bridge->b_int_status = 0x%x\n", bridge->b_int_status);
+	printk(KERN_DEBUG "bridge->b_int_enable = 0x%x\n", bridge->b_int_enable);
+	printk(KERN_DEBUG "PI_INT_PEND0   = 0x%lx\n", LOCAL_HUB_L(PI_INT_PEND0));
+	printk(KERN_DEBUG "PI_INT_MASK0_A = 0x%lx\n", LOCAL_HUB_L(PI_INT_MASK0_A));
 }
 
 void __init init_IRQ(void)
diff -urN linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-klconfig.c linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-klconfig.c
--- linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-klconfig.c	2003-07-13 23:36:31.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-klconfig.c	2003-07-17 16:36:38.000000000 -0400
@@ -27,7 +27,7 @@
 				break;
 		index = j;
 		if (index == KLCF_NUM_COMPS(brd)) {
-			printk("find_component: Bad pointer: 0x%p\n", kli);
+			printk(KERN_ERR "find_component: Bad pointer: 0x%p\n", kli);
 			return (klinfo_t *)NULL;
 		}
 		index++;		/* next component */
@@ -106,7 +106,7 @@
 	cnodeid_t cnode;
 
 	if (!(cpu < MAXCPUS)) {
-		printk("sn_get_cpuinfo: illegal cpuid 0x%lx\n", cpu);
+		printk(KERN_ERR "sn_get_cpuinfo: illegal cpuid 0x%lx\n", cpu);
 		return NULL;
 	}
 
diff -urN linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-klnuma.c linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-klnuma.c
--- linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-klnuma.c	2003-07-13 23:32:48.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-klnuma.c	2003-07-16 20:37:26.000000000 -0400
@@ -76,7 +76,7 @@
 	kvp->kv_rw_nasid = master_nasid;
 	kvp->kv_ro_baseaddr = NODE_CAC_BASE(server_nasid);
 	kvp->kv_rw_baseaddr = NODE_CAC_BASE(master_nasid);
-	printk("REPLICATION: ON nasid %d, ktext from nasid %d, kdata from nasid %d\n", client_nasid, server_nasid, master_nasid);
+	printk(KERN_INFO "REPLICATION: ON nasid %d, ktext from nasid %d, kdata from nasid %d\n", client_nasid, server_nasid, master_nasid);
 }
 
 /* XXX - When the BTE works, we should use it instead of this. */
diff -urN linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-memory.c linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-memory.c
--- linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-memory.c	2003-07-13 23:32:29.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-memory.c	2003-07-16 20:24:20.000000000 -0400
@@ -42,7 +42,7 @@
 
 int numa_debug(void)
 {
-	printk("NUMA debug\n");
+	printk(KERN_DEBUG "NUMA debug\n");
 	*(int *)0 = 0;
 	return(0);
 }
@@ -151,7 +151,7 @@
 						(slot0sz << PAGE_SHIFT))
 				ignore = 1;
 			if (ignore && slot_psize) {
-				printk("Ignoring slot %d onwards on node %d\n",
+				printk(KERN_NOTICE "Ignoring slot %d onwards on node %d\n",
 								slot, node);
 				slot_psize_cache[node][slot] = SLOT_IGNORED;
 				slot = numslots;
@@ -208,7 +208,7 @@
 		reserve_bootmem_node(NODE_DATA(node), slot_firstpfn << PAGE_SHIFT,
 		  ((slot_freepfn - slot_firstpfn) << PAGE_SHIFT) + bootmap_size);
 	}
-	printk("Total memory probed : 0x%lx pages\n", numpages);
+	printk(KERN_INFO "Total memory probed : 0x%lx pages\n", numpages);
 }
 
 int __init page_is_ram(unsigned long pagenr)
@@ -324,7 +324,7 @@
 	initsize =  (unsigned long) &__init_end - (unsigned long) &__init_begin;
 
 	tmp = (unsigned long) nr_free_pages();
-	printk("Memory: %luk/%luk available (%ldk kernel code, %ldk reserved, "
+	printk(KERN_INFO "Memory: %luk/%luk available (%ldk kernel code, %ldk reserved, "
 		"%ldk data, %ldk init)\n",
 		tmp << (PAGE_SHIFT-10),
 		num_physpages << (PAGE_SHIFT-10),
diff -urN linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-nmi.c linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-nmi.c
--- linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-nmi.c	2003-07-13 23:28:55.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-nmi.c	2003-07-16 20:20:43.000000000 -0400
@@ -66,10 +66,10 @@
 	    (machreg_t *)(TO_UNCAC(TO_NODE(nasid, IP27_NMI_KREGS_OFFSET)) +
 			  slice * IP27_NMI_KREGS_CPU_SIZE);
 
-	printk("NMI nasid %d: slice %d\n", nasid, slice);
+	printk(KERN_NOTICE "NMI nasid %d: slice %d\n", nasid, slice);
 	for (i = 0; i < numberof_nmi_cpu_regs; i++)
-		printk("0x%lx  ", prom_format[i]);
-	printk("\n\n");
+		printk(KERN_NOTICE "0x%lx  ", prom_format[i]);
+	printk(KERN_NOTICE "\n\n");
 }
 
 /*
diff -urN linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-reset.c linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-reset.c
--- linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-reset.c	2003-07-13 23:34:39.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-reset.c	2003-07-17 16:36:11.000000000 -0400
@@ -38,7 +38,7 @@
 	int i;
 #endif
 
-	printk("Reboot started from CPU %d\n", smp_processor_id());
+	printk(KERN_NOTICE "Reboot started from CPU %d\n", smp_processor_id());
 #ifdef CONFIG_SMP
 	smp_send_stop();
 #endif
diff -urN linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-setup.c linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-setup.c
--- linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-setup.c	2003-07-13 23:32:44.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-setup.c	2003-07-16 20:34:18.000000000 -0400
@@ -94,7 +94,7 @@
 	int n_mode;
 
 	n_mode = LOCAL_HUB_L(NI_STATUS_REV_ID) & NSRI_MORENODES_MASK;
-	printk("Machine is in %c mode.\n", n_mode ? 'N' : 'M');
+	printk(KERN_INFO "Machine is in %c mode.\n", n_mode ? 'N' : 'M');
 #ifdef CONFIG_SGI_SN0_N_MODE
 	if (!n_mode)
 		panic("Kernel compiled for M mode.");
@@ -145,13 +145,13 @@
 		widget_id = *(volatile widgetreg_t *)
                         (RAW_NODE_SWIN_BASE(nasid, 0x0) + WIDGET_ID);
 		partnum = XWIDGET_PART_NUM(widget_id);
-		printk("Cpu %d, Nasid 0x%x, pcibr_setup(): found partnum= 0x%x",
+		printk(KERN_INFO "Cpu %d, Nasid 0x%x, pcibr_setup(): found partnum= 0x%x",
 					smp_processor_id(), nasid, partnum);
 		if (partnum == BRIDGE_WIDGET_PART_NUM) {
 			/*
 			 * found direct connected bridge so must be Origin200
 			 */
-			printk("...is bridge\n");
+			printk(KERN_INFO "...is bridge\n");
 			num_bridges = 1;
         		bus_to_wid[0] = 0x8;
 			bus_to_nid[0] = 0;
@@ -164,16 +164,16 @@
 			 * found xbow, so may have multiple bridges
 			 * need to probe xbow
 			 */
-			printk("...is xbow\n");
+			printk(KERN_INFO "...is xbow\n");
 
 			if ((brd = find_lboard((lboard_t *)KL_CONFIG_INFO(nasid),
                                    KLTYPE_MIDPLANE8)) == NULL)
-				printk("argh\n");
+				printk(KERN_ERR "argh\n");
 			else
-				printk("brd = 0x%lx\n", (unsigned long) brd);
+				printk(KERN_INFO "brd = 0x%lx\n", (unsigned long) brd);
 			if ((xbow_p = (klxbow_t *)
 			     find_component(brd, NULL, KLSTRUCT_XBOW)) == NULL)
-				printk("argh\n");
+				printk(KERN_ERR "argh\n");
 			else {
 			   /*
 			    * Okay, here's a xbow. Lets arbitrate and find
@@ -205,7 +205,7 @@
                         		   (RAW_NODE_SWIN_BASE(nasid, i) + WIDGET_ID);
 				   partnum = XWIDGET_PART_NUM(widget_id);
 				   if (partnum == BRIDGE_WIDGET_PART_NUM) {
-					printk("widget 0x%x is a bridge\n", i);
+					printk(KERN_INFO "widget 0x%x is a bridge\n", i);
 					bus_to_wid[num_bridges] = i;
 					bus_to_nid[num_bridges] = nasid;
 					bus_to_baddr[num_bridges] = ((masterwid << 60) | (1UL << 56));	/* Barrier set */
@@ -218,7 +218,7 @@
 			/*
 			 * found xbridge, assume ibrick for now
 			 */
-			printk("...is xbridge\n");
+			printk(KERN_INFO "...is xbridge\n");
         		bus_to_wid[0] = 0xb;
         		bus_to_wid[1] = 0xe;
         		bus_to_wid[2] = 0xf;
@@ -295,17 +295,17 @@
 	 */
 	DBG("ip27_setup(): Entered.\n");
 	nid = get_nasid();
-	printk("IP27: Running on node %d.\n", nid);
+	printk(KERN_INFO "IP27: Running on node %d.\n", nid);
 
 	p = LOCAL_HUB_L(PI_CPU_PRESENT_A) & 1;
 	e = LOCAL_HUB_L(PI_CPU_ENABLE_A) & 1;
-	printk("Node %d has %s primary CPU%s.\n", nid,
+	printk(KERN_INFO "Node %d has %s primary CPU%s.\n", nid,
 	       p ? "a" : "no",
 	       e ? ", CPU is running" : "");
 
 	p = LOCAL_HUB_L(PI_CPU_PRESENT_B) & 1;
 	e = LOCAL_HUB_L(PI_CPU_ENABLE_B) & 1;
-	printk("Node %d has %s secondary CPU%s.\n", nid,
+	printk(KERN_INFO "Node %d has %s secondary CPU%s.\n", nid,
 	       p ? "a" : "no",
 	       e ? ", CPU is running" : "");
 
diff -urN linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-timer.c linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-timer.c
--- linux-2.6.0-test1/arch/mips/sgi-ip27/ip27-timer.c	2003-07-13 23:32:43.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip27/ip27-timer.c	2003-07-16 20:25:02.000000000 -0400
@@ -209,7 +209,7 @@
 	if (!cpu)
 		panic("No information about myself?");
 
-	printk("CPU %d clock is %dMHz.\n", smp_processor_id(), cpu->cpu_speed);
+	printk(KERN_INFO "CPU %d clock is %dMHz.\n", smp_processor_id(), cpu->cpu_speed);
 
 	set_c0_status(SRB_TIMOCLK);
 }
diff -urN linux-2.6.0-test1/arch/mips/sgi-ip32/ip32-berr.c linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip32/ip32-berr.c
--- linux-2.6.0-test1/arch/mips/sgi-ip32/ip32-berr.c	2003-07-13 23:35:52.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip32/ip32-berr.c	2003-07-17 21:07:56.000000000 -0400
@@ -22,7 +22,7 @@
 	if (is_fixup)
 		return MIPS_BE_FIXUP;
 
-	printk("Got %cbe at 0x%lx\n", data ? 'd' : 'i', regs->cp0_epc);
+	printk(KERN_EMERG "Got %cbe at 0x%lx\n", data ? 'd' : 'i', regs->cp0_epc);
 	show_regs(regs);
 	dump_tlb_all();
 	while(1);
diff -urN linux-2.6.0-test1/arch/mips/sgi-ip32/ip32-irq.c linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip32/ip32-irq.c
--- linux-2.6.0-test1/arch/mips/sgi-ip32/ip32-irq.c	2003-07-13 23:34:31.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip32/ip32-irq.c	2003-07-17 21:07:18.000000000 -0400
@@ -445,28 +445,28 @@
 	u64 crime;
 	u32 mace;
 
-	printk ("Unknown interrupt occurred!\n");
-	printk ("cp0_status: %08x\tcp0_cause: %08x\n",
+	printk (KERN_ALERT "Unknown interrupt occurred!\n");
+	printk (KERN_ALERT "cp0_status: %08x\tcp0_cause: %08x\n",
 		read_c0_status(),
 		read_c0_cause());
 	crime = crime_read_64 (CRIME_INT_MASK);
-	printk ("CRIME interrupt mask: %016lx\n", crime);
+	printk (KERN_ALERT "CRIME interrupt mask: %016lx\n", crime);
 	crime = crime_read_64 (CRIME_INT_STAT);
-	printk ("CRIME interrupt status: %016lx\n", crime);
+	printk (KERN_ALERT "CRIME interrupt status: %016lx\n", crime);
 	crime = crime_read_64 (CRIME_HARD_INT);
-	printk ("CRIME hardware interrupt register: %016lx\n", crime);
+	printk (KERN_ALERT "CRIME hardware interrupt register: %016lx\n", crime);
 	mace = mace_read_32 (MACEISA_INT_MASK);
-	printk ("MACE ISA interrupt mask: %08x\n", mace);
+	printk (KERN_ALERT "MACE ISA interrupt mask: %08x\n", mace);
 	mace = mace_read_32 (MACEISA_INT_STAT);
-	printk ("MACE ISA interrupt status: %08x\n", mace);
+	printk (KERN_ALERT "MACE ISA interrupt status: %08x\n", mace);
 	mace = mace_read_32 (MACEPCI_CONTROL);
-	printk ("MACE PCI control register: %08x\n", mace);
+	printk (KERN_ALERT "MACE PCI control register: %08x\n", mace);
 
-	printk("Register dump:\n");
+	printk(KERN_ALERT "Register dump:\n");
 	show_regs(regs);
 
-	printk("Please mail this report to linux-mips@oss.sgi.com\n");
-	printk("Spinning...");
+	printk(KERN_ALERT "Please mail this report to linux-mips@oss.sgi.com\n");
+	printk(KERN_ALERT "Spinning...");
 	while(1) ;
 }
 
diff -urN linux-2.6.0-test1/arch/mips/sgi-ip32/ip32-timer.c linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip32/ip32-timer.c
--- linux-2.6.0-test1/arch/mips/sgi-ip32/ip32-timer.c	2003-07-13 23:37:18.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sgi-ip32/ip32-timer.c	2003-07-17 21:08:14.000000000 -0400
@@ -50,7 +50,7 @@
 	u64 crime_time;
 	u32 cc_tick;
 
-	printk("Calibrating system timer... ");
+	printk(KERN_INFO "Calibrating system timer... ");
 
 	crime_time = crime_read_64 (CRIME_TIME) & CRIME_TIME_MASK;
 	cc_tick = read_c0_count();
@@ -66,7 +66,7 @@
 	 */
 	cc_interval = (cc_interval / PER_MHZ) * PER_MHZ;
 
-	printk("%d MHz CPU detected\n", (int) (cc_interval / PER_MHZ));
+	printk(KERN_INFO "%d MHz CPU detected\n", (int) (cc_interval / PER_MHZ));
 
 	setup_irq (CLOCK_IRQ, irq);
 }
diff -urN linux-2.6.0-test1/arch/mips/sibyte/cfe/setup.c linux-2.6.0-test1-printk-mips/arch/mips/sibyte/cfe/setup.c
--- linux-2.6.0-test1/arch/mips/sibyte/cfe/setup.c	2003-07-13 23:31:58.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sibyte/cfe/setup.c	2003-07-17 21:01:47.000000000 -0400
@@ -83,9 +83,9 @@
 		}
 	}
 #endif
-	printk("passing control back to CFE\n");
+	printk(KERN_NOTICE "passing control back to CFE\n");
 	cfe_exit(1, 0);
-	printk("cfe_exit returned??\n");
+	printk(KERN_NOTICE "cfe_exit returned??\n");
 	while(1);
 }
 
@@ -212,10 +212,10 @@
 		goto fail;
 	}
 	initrd_end = initrd_start + initrd_size;
-	printk("Found initrd of %lx@%lx\n", initrd_size, initrd_start);
+	printk(KERN_INFO "Found initrd of %lx@%lx\n", initrd_size, initrd_start);
 	return 1;
  fail:
-	printk("Bad initrd argument.  Disabling initrd\n");
+	printk(KERN_INFO "Bad initrd argument.  Disabling initrd\n");
 	initrd_start = 0;
 	initrd_end = 0;
 	return 1;
